最終更新:2012-05-16 (水) 12:56:56 (1952d)  

Ruby/インストール はてなブックマークを見る
Top / Ruby / インストール

非 Rubyist に送る、失敗しない ruby 実行環境構築方法

OSごとの搭載されているバージョン

yum

必要なライブラリをyumで入れる

# yum -y install kernel-devel zlib-devel openssl-devel gcc-g++ httpd-devel apr-devel sqlite sqlite-devel
  • zlib-develは先に入れておかないとgemが動かなかったりする

Ruby 1.8.7

  • yumでインストールすると1.8.5が入って使えないライブラリとかあるので1.8.7を入れる。
# wget ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p174.tar.gz
# tar zxvf ruby-1.8.7-p174.tar.gz 
# cd ruby-1.8.7-p174
# ./configure --prefix=/usr
# make
# make test
# make install
# ruby -v

RubyGems

# gem install sqlite3-ruby
# gem install rails
# gem install passenger

関連